Bug 526370 - Should not be able to run multiple VMs from the same disk image
Summary: Should not be able to run multiple VMs from the same disk image
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: libvirt
Version: 5.4
Hardware: x86_64
OS: Linux
low
high
Target Milestone: rc
: ---
Assignee: Daniel Veillard
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-30 01:38 UTC by frank
Modified: 2011-02-01 02:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-01 02:03:25 UTC


Attachments (Terms of Use)
screenshot (130.22 KB, image/png)
2009-09-30 01:45 UTC, frank
no flags Details

Description frank 2009-09-30 01:38:05 UTC
Description of problem:
Able to run virtual machines from same image after live migration 

Version-Release number of selected component (if applicable):
RHEL 5.4

How reproducible:
Often

Steps to Reproduce:
1. Install KVM on host "labrador" and host "sspc-2"
2. Configure eth0 as bridge and remove the default network on both stands
3. Install a virtual machine "RHEL54" on labrador (step 1)
4. On "labrador" migrate "RHEL54" to "sspc-2" (step 2)
5. After the migration try to start "RHEL54" on "labrador" (step 3)
6. "RHEL54" are running on both stands synchronously (step 4)

Actual results:
Able to run virtual machines from same image after live migration 

Expected results:
One image should be only for one virtual machine at same time

Additional info:

Comment 1 frank 2009-09-30 01:45:59 UTC
Created attachment 363101 [details]
screenshot

Comment 2 Eduardo Habkost 2009-09-30 14:20:27 UTC
This belongs to the management layer.

Reassigning to virt-manager, that is the UI appearing on the screenshots, but maybe it belongs to libvirt.

Comment 3 Cole Robinson 2009-10-19 15:45:03 UTC
What you want is some kind of 'locking' of the disk image file: just denying the operation based on a similar path wouldn't be sufficient. This would need to be done at the libvirt level and has been requested there before, so reassigning to libvirt.

Comment 4 Dave Allan 2011-02-01 02:03:25 UTC
This functionality is being actively worked on upstream, but it will not be included in RHEL5.


Note You need to log in before you can comment on or make changes to this bug.